%define upstream_name    Clone-Fast
%define upstream_version 0.97

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Natively copying Perl data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Clone/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Essentially, this module is a very optimized version of the Clone::More
manpage. By taking advantage of one of the Clone::More manpage's
'OPTIMIZATION_HACKS' as well as removing all the Pure Perl from the
'More.pm', I was able to gain a lot of speed out of the module.
Essentially, though, the core of the module is exactly as that of the
Clone::More manpage.

You will see that by useing the Benchmark::cmpthese manpage, I ran a simple
comparison between the Storable::dclone manpage, the Clone::More::clone
manpage, and the Clone::Fast::clone manpage. You will (should) begin to see
the reason why I loaded this module along side of the Clone::More manpage.

				   Rate    Storable Clone::More Clone::Fast
	Storable     7552/s          --        -39%        -59%
	Clone::More 12400/s         64%          --        -33%
	Clone::Fast 18442/s        144%         49%          --

%prep
#setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# this test fails with perl >= 5.11
# https://rt.cpan.org/Ticket/Display.html?id=43248
rm t/03scalar.t
%make test || :

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.970.0-9.mga5
+ Revision: 789652
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.970.0-8.mga5
+ Revision: 746048
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.970.0-7.mga5
+ Revision: 725879
- make testsuite to exit 0 ("fix" build with perl-5.20.x)

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + jquelin <jquelin>
    - perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-4.mga4
+ Revision: 524232
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-3.mga4
+ Revision: 430568
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 364531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 302409
- update to 0.97

* Wed May 30 2012 jquelin <jquelin> 0.960.0-2.mga3
+ Revision: 250332
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.960.0-1.mga2
+ Revision: 212725
- update to 0.96

* Sat Jun 11 2011 sander85 <sander85> 0.930.0-4.mga2
+ Revision: 103673
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.930.0-3.mga1
+ Revision: 29908
- mageia rebuild
- imported package perl-Clone-Fast

